#include "VertexBuffer.hpp"

VertexBuffer::VertexBuffer(GLenum shape, const unsigned long count, const unsigned long size, const void *data): Buffer(shape) {
    setVertices(size, data);
    ElementCount = count;
}

uint VertexBuffer::draw(params) {
    enableAllAttribs();
    glDrawArrays(Shape, 0, ElementCount);
    disableAllAttribs();
    return ElementCount;
}